Get client statistics
GET
https://api-v2.test.eldowallet.fr/clients/stats
Returns client statistics for the wallet: breakdown by source (crmSource, internalSource, extrnalSource), active and inactive cards, and active or deleted cards per platform (iOS, Android). Narrow the period with startDate and endDate (creation date).
Request
query parameters
startDatestring <date-time>Start date for client createdAt filterendDatestring <date-time>End date for client createdAt filter
header parameters
x-langstringLanguage for responsesenum:en,frdefault:"en"
Responses
- 200
- 401
- 403
- 500
UNAUTHORIZED
Schema
application/jsonmessagestring requiredexample:Promo code already existserrorCodestring requiredexample:400:PROMO_CODE_ALREADY_EXISTSpathstring requiredexample:/couponsdatestring <date-time> requireddetailsobjectvalidationErrorsobject[]fieldstringexample:emailmessagestringexample:email must be an email
FORBIDDEN
Schema
application/jsonmessagestring requiredexample:Promo code already existserrorCodestring requiredexample:400:PROMO_CODE_ALREADY_EXISTSpathstring requiredexample:/couponsdatestring <date-time> requireddetailsobjectvalidationErrorsobject[]fieldstringexample:emailmessagestringexample:email must be an email
UNKNOWN_ERROR
Schema
application/jsonmessagestring requiredexample:Promo code already existserrorCodestring requiredexample:400:PROMO_CODE_ALREADY_EXISTSpathstring requiredexample:/couponsdatestring <date-time> requireddetailsobjectvalidationErrorsobject[]fieldstringexample:emailmessagestringexample:email must be an email